//
//  ProtectedMembers.cpp
//
// LECTURE 10
// DEMO 2
#include "StdAfx.h"

#include <iostream>
#include <string>
using namespace std;  //introduces namespace std


//  Here's the Person class
class Person
{ 
public:
  void setInfo(string Name,string Addr,string Phone);
protected:
  string name;
  string address;
  string phone;
};

// Here's the definition for the Person::setInfo() member function
void Person::setInfo(string Name,string Addr,string Phone)
{
  name = Name;
  address = Addr;
  phone = Phone;
}


// Here's the Student class (derived)
class Student: public Person
{
public:
  void printInfo();
  int  getId() { return studentID; }
private:
  int  studentID;
};

// here's the Student::printInfo() member function
void Student::printInfo()
{
  cout << "Name:  " << name << endl;    // name, address and
  cout << "Addr:  " << address << endl; // phone are defined 
  cout << "Phone: " << phone << endl;   // in the base class
}

int main()
{	
  Student aStudent;
  
  // Will the following work?
  //aStudent. = "Joe Student";          // ??
  //aStudent.address = "166 Phelps Lane";   // ??
  //aStudent.phone = "555-1212";            // ??
  
  // Now set the information.  Remember, setInfo() is 
  // defined in the "Person" class
  aStudent.setInfo("Joe Student","166 Phelps Lane",
                    "555-1212");
  aStudent.printInfo();
	return 0;
}

